6.0.0-git
2019-03-18

[#7934] smb driver's _command needs to be charset aware
Summary smb driver's _command needs to be charset aware
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester leena.heino (at) uta (dot) fi
Created 2009-02-02 (3696 days ago)
Due
Updated 2009-05-31 (3578 days ago)
Assigned
Resolved 2009-05-31 (3578 days ago)
Milestone
Patch No

History
2009-05-31 17:18:46 Jan Schneider Assigned to Jan Schneider
Taken from Michael Slusarz
State ⇒ Resolved
Patch ⇒ No
 
2009-05-31 17:13:52 CVS Commit Comment #15 Reply to this comment
2009-02-10 19:28:33 Chuck Hagenbuch Comment #14
State ⇒ Duplicate
Reply to this comment
Agreed.
2009-02-10 18:08:07 Michael Slusarz Comment #13 Reply to this comment
Possible duplicate (or at least similar) to Ticket #5725?
2009-02-06 23:41:14 leena (dot) heino (at) uta (dot) fi Comment #12 Reply to this comment

[Show Quoted Text - 9 lines]
From my point of view in the testing, it seems that the LC_ALL is not 
set when the smbclient command is evoked in the smb backend driver.

[Show Quoted Text - 16 lines]
Actually smbclient command does the character conversion for you when 
you give the character set you want in the LC_CTYPE.


2009-02-06 23:16:08 Jan Schneider Comment #11 Reply to this comment
That doesn't make any sense to me because
- we already set LC_ALL in horde
That may be, but that environment is not passed to smbclient command
in _command().
This might be a problem with your system, if LC_ALL doesn't set 
LC_CTYPE. Or are you saying that LC_ALL isn't set either?

[Show Quoted Text - 11 lines]
But the assumption that the files in the Samba backend have the same 
locale like the current Horde frontend is completely wrong. If at all, 
then we need to specify a charset per backend, and convert to/from that.
2009-02-06 23:11:43 Jan Schneider Comment #10 Reply to this comment

[Show Quoted Text - 9 lines]
But we don't know which locale to use, if not using Horde.
2009-02-06 19:58:30 leena (dot) heino (at) uta (dot) fi Comment #9 Reply to this comment
That doesn't make any sense to me because
- we already set LC_ALL in horde
That may be, but that environment is not passed to smbclient command 
in _command().
- this only works with horde anyway, but this is a pear package.
please revert.
Done.  Although the 1st point seems irrelevant to me: if this is
truly a PEAR package, then we necessarily have to set LC_* inside the
driver because there are no guarantees that it will have been set
elsewhere since Horde is not a pre-requisite.
My testing showed that smbdriver might work correctly without this 
patch, but only if host's default environment and the current locale 
in gollem use the same charset.
2009-02-06 18:26:06 Michael Slusarz Comment #8 Reply to this comment
That doesn't make any sense to me because
- we already set LC_ALL in horde
- this only works with horde anyway, but this is a pear package.
please revert.
Done.  Although the 1st point seems irrelevant to me: if this is truly 
a PEAR package, then we necessarily have to set LC_* inside the driver 
because there are no guarantees that it will have been set elsewhere 
since Horde is not a pre-requisite.
2009-02-06 18:00:17 Jan Schneider Comment #5
State ⇒ Feedback
Reply to this comment
That doesn't make any sense to me because

- we already set LC_ALL in horde

- this only works with horde anyway, but this is a pear package.

please revert.
2009-02-06 17:58:08 Michael Slusarz Comment #4
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Added.
2009-02-03 03:42:05 Chuck Hagenbuch State ⇒ Accepted
 
2009-02-03 03:41:56 Chuck Hagenbuch Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
 
2009-02-02 15:23:28 leena (dot) heino (at) uta (dot) fi Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ smb driver's _command needs to be charset aware
Queue ⇒ Gollem
Milestone ⇒
Patch ⇒ Yes
New Attachment: horde-framework3-smbcommandcharset.patch Download
Reply to this comment
smb driver's _command() function needs to sey LC_CTYPE enviroment 
variable. Otherwise gollem is not able show correctly or search for 
file names with accented characters.

Saved Queries